Bug 495585 - ErrataSearch IssueDate range search broken if no search term is supplied.
ErrataSearch IssueDate range search broken if no search term is supplied.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
: Regression
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-04-13 17:07 EDT by John Matthews
Modified: 2009-09-10 15:32 EDT (History)
0 users

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-04-13 17:07:34 EDT
Description of problem:

Errata search allows searching by a date range.  You can do this in 2 ways.
1) Leave search term blank, then you do a full errata search based on date range.
2) Enter a search term, then the date range search is a filter of what matched the search term.

#1 became broken during 5.3 development.

Version-Release number of selected component (if applicable):
It's been broken from: Satellite-5.3.0-RHEL5-re20090306.2-i386-embedded-oracle.iso  maybe earlier

How reproducible:
Always

Steps to Reproduce:
1. sync content from webqa/hosted, errata must be present
2. Do an errata search with Issue date range of 2006 - 2009
3. Leave search term blank

  
Actual results:
Blank page.  Looking at logs you can see search was performed, but we aren't displaying results.

Expected results:

Results should be displayed

Additional info:
Comment 1 John Matthews 2009-04-14 09:32:21 EDT
vader branch commit bd4c6d47b35f1c59c9724f402bea798362432b3f

diff --git a/java/code/webapp/WEB-INF/pages/errata/erratasearch.jsp b/java/code/webapp/WEB-INF/pages/errata/erratasearch.jsp
index 63060e9..199b317 100644
--- a/java/code/webapp/WEB-INF/pages/errata/erratasearch.jsp
+++ b/java/code/webapp/WEB-INF/pages/errata/erratasearch.jsp
@@ -135,7 +135,7 @@
    <input type="hidden" name="submitted" value="true" />
   </html:form>

-  <c:if test="${search_string != null && search_string != ''}">
+  <c:if test="${(search_string != null && search_string != '') || param.optionIssueDateSearch != null }">
   <hr />
Comment 2 Preethi Thomas 2009-06-02 15:43:27 EDT
verified
Satellite-5.3.0-RHEL5-re20090529.0-i386-embedded-oracle.iso
Comment 4 Brandon Perkins 2009-09-10 15:32:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.